/*
			Copyright (c) 1994 by
			Advanced Visual Systems Inc.
			All Rights Reserved

	This software comprises unpublished confidential information of
	Advanced Visual Systems Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.

	This file is under Perforce control
	$Id: //depot/express/fcs992/include/avs/ucd_srch.h#1 $
*/

#ifndef _UCD_SEARCH_H_defined
#define _UCD_SEARCH_H_defined

/*---------------------------------------------------------------
 *     Define and typedefs for functions
 *     using BLOCK TABLE
 *---------------------------------------------------------------*/

#define GRID_SIZE 16
#define NUM_BLOCKS 4096

typedef struct _bt_type_link {
	int id;
	struct _bt_type_link *link;
} Blink;

typedef struct _bt_type {
	int num_cells;
	Blink *cell_list;
} Btable;

#endif /* _UCD_SEARCH_H_defined */
